predict {stats} | R Documentation

## Model Predictions

### Description

`predict` is a generic function for predictions from the results of various model fitting functions. The function invokes particular methods which depend on the `class` of the first argument.

### Usage

    predict (object, ...)

### Arguments

`object` | a model object for which prediction is desired.
`...` | additional arguments affecting the predictions produced.

### Details

Most prediction methods which similar to fitting linear models have an argument `newdata` specifiying the first place to look for explanatory variables to be used for prediction. Some considerable attempts are made to match up the columns in `newdata` to those used for fitting, for example that they are of comparable types and that any factors have the same level set in the same order (or can be transformed to be so).

Time series prediction methods in package stats have an argument `n.ahead` specifying how many time steps ahead to predict.

Many methods have a logical argument `se.fit` saying if standard errors are to returned.

### Value

The form of the value returned by `predict` depends on the class of its argument. See the documentation of the particular methods for details of what is produced by that method.

### References

Chambers, J. M. and Hastie, T. J. (1992) Statistical Models in S. Wadsworth & Brooks/Cole.

### See Also

`predict.glm`, `predict.lm`, `predict.loess`, `predict.nls`, `predict.poly`, `predict.princomp`, `predict.smooth.spline`.

For time-series prediction, `predict.ar`, `predict.Arima`, `predict.arima0`, `predict.HoltWinters`, `predict.StructTS`.

### Examples

    ## All the "predict" methods found
    ## NB most of the methods in the standard packages are hidden.
    for(fn in methods("predict"))
       try({
           f <- eval(substitute(getAnywhere(fn)$objs[[1]], list(fn = fn)))
           cat(fn, ":\n\t", deparse(args(f)), "\n")
           }, silent = TRUE)

[Package stats version 2.3.1 Index]